Author: sm3 Category: Build
Updated: 05/24/2011 Due date:
Subject: VS 2010 does not work under CMake
Description

VS 2010 does not work under CMake due to the registry keys and file path locations changing.

Compiles fine with just nmake. The *.sln doesn't work. Here is an example error from the IDE:

C:\ryzom\external_stlport\include\stlport\stl/_cstddef.h(31): fatal error C1083: Cannot open include file: '../include/cstddef': No such file
or directory

History
#1 - 11/09/2010 05:40 pm - sm3

I spoke too soon. nmake fails as well about 50% through the project.

#2 - 11/09/2010 05:50 pm - sfb

CMake discovers the paths to the VS folder and issues a /X to VS to tell it to ignore any hard-coded paths in the directories set up. This is so that we
can detect and toggle between STL and STLport without requiring the user to manually make changes to the VS project directories setup.

The CMake macro that enables this uses registry entries and standard paths to discover where the includes are for the installed VS. These values
have changed slightly in VS 2010 Express and the registry key names will need to be added to the macro.

#3 - 05/05/2011 01:51 pm - kervala
- Category set to Build
- Status changed from New to Assigned
- Assignee set to kervala

#4 - 05/12/2011 01:00 pm - kervala
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r1464.

#5 - 05/12/2011 01:49 pm - kervala
- Target version set to Version 0.9.0

All is compiling fine now, but I didn't check Ryzom servers and MFC tools.

Tested with CMake 2.8.4 + Visual C++ 2010 Express + Visual Studio SP1 + Windows 7 SDK + SP1 fix for compilers.
Now VC++ 2010 Express allows to compile both 32 and 64 bits thanks to MS fix from april 2011.

#6 - 05/12/2011 04:48 pm - kervala

Servers compiled without error :)

#7 - 05/24/2011 01:59 pm - kervala
- Status changed from Resolved to Closed
